textures/blic_models/branch
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 256 sin 0 0.5 0 0.3 
	tessSize 512
	{
		map textures/blic_models/branch.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/blic_models/branch_fast
{
	qer_editorimage textures/blic_models/branch.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 256 sin 0 1 0 1 
	{
		map textures/blic_models/branch.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/blic_models/bark
{
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map textures/blic_models/bark.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/blic_floor/BrickRound0103_2_S_moss
{
	qer_editorimage textures/blic_floor/BrickRound0103_2_S_moss.tga
	{
		map textures/blic_floor/BrickRound0103_2_S.tga
		rgbGen identity
	}
	{
		map textures/blic_floor/BrickRound0103_2_S_moss.tga
		blendfunc blend
		rgbGen identity
		alphaGen Vertex
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/blic_ground/moss_floor
{
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapmergable
	{
		map textures/blic_ground/sand_way.tga
		rgbGen identity
	}
	{
		map textures/blic_ground/moss_floor.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 2 2
		alphaGen Vertex
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/blic_ground/sand_way
{
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightmapmergable
	{
		map textures/blic_ground/sand_way.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/blic_random/cloudsky
{
	qer_editorimage textures/blic_random/cloudsky.tga
	q3map_lightimage env/romanduel_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms env/romanduel 1280 -
	q3map_sunExt 255 253 246 90 358 65 1 32
	q3map_skyLight 50 6
	q3map_lightmapFilterRadius 0 8
	{
		map textures/skies/dimclouds.tga
		blendfunc add
		tcMod scroll 0.005 0.006
		tcMod scale 3 3
		depthWrite
	}
}

textures/blic_random/farn
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 256 sin 0 0.5 0 0.3 
	tessSize 512
	{
		map textures/blic_random/farn.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/blic_random/farn_fast
{
	qer_editorimage textures/blic_random/farn.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 256 sin 0 0.5 0 1 
	tessSize 512
	{
		map textures/blic_random/farn.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/blic_random/lava
{
	qer_editorimage textures/blic_random/lava.tga
	q3map_lightimage textures/liquids/protolava.tga
	surfaceparm lava
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	sort underwater
	deformVertexes wave 128 sin 0 0.2 0.2 0.5 
	tessSize 128
	q3map_surfacelight 300
	{
		map textures/blic_random/lava.tga
		rgbGen identity
		tcMod scroll 0.001 0.001
		//  tcMod rotate 0.5
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/blic_random/lava.tga
		blendfunc add
		rgbGen wave triangle 0.1 0.3 0 0.1 
		tcMod scroll 0.001 0.001
		//  tcMod rotate 0.5
	}
}

textures/blic_random/lava_torch
{
	qer_editorimage textures/blic_random/lava.tga
	q3map_lightimage textures/liquids/protolava.tga
	surfaceparm nonsolid
	q3map_surfacelight 300
	{
		map textures/blic_random/lava.tga
		tcMod scroll 0.001 0.001
	}
	{
		map textures/blic_random/lava.tga
		blendfunc add
		rgbGen wave triangle 0.1 0.3 0 0.1 
		tcMod scroll 0.001 0.001
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/blic_random/portal_sfx
{
	qer_editorimage textures/sfx/portal_sfx.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	deformVertexes wave 100 sin 0 2 0 0.5 
	portal
	{
		map textures/sfx/portal_sfx3.tga
		blendfunc blend
		depthWrite
	}
	{
		clampmap textures/sfx/portal_sfx1.tga
		blendfunc filter
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 0.5 0.2 0.5 
	}
	{
		map textures/sfx/portalfog.tga
		blendfunc blend
		tcMod rotate 0.1
		tcMod scroll 0.01 0.03
		alphaGen portal 400
	}
}

///Decals
textures/blic_random/weapon_grenade
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/blic_random/weapon_grenade.tga
		blendfunc blend
	}
}

textures/blic_random/weapon_rocket
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/blic_random/weapon_rocket.tga
		blendfunc blend
	}
}

textures/blic_random/weapon_lightning
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/blic_random/weapon_lightning.tga
		blendfunc blend
	}
}

textures/blic_random/weapon_shotgun
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/blic_random/weapon_shotgun.tga
		blendfunc blend
	}
}

textures/blic_random/morbus
{
	qer_editorimage textures/blic_random/morbus.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/blic_random/morbus.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/blic_random/noruen
{
	qer_editorimage textures/blic_random/noruen.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	sort banner
	polygonoffset
	{
		map textures/blic_random/noruen.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//Logos
textures/blic_sponsor/Kot-in-Action_logo_1024x512
{
	qer_editorimage textures/blic_sponsor/Kot-in-Action_logo_1024x512.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/Kot-in-Action_logo_1024x512.tga
	}
}

textures/blic_sponsor/LunarModule_logo3_512x128
{
	qer_editorimage textures/blic_sponsor/LunarModule_logo3_512x128.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/LunarModule_logo3_512x128.tga
	}
}

textures/blic_sponsor/Luxology_white_1024x512
{
	qer_editorimage textures/blic_sponsor/Luxology_white_1024x512.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/Luxology_white_1024x512.tga
	}
}

textures/blic_sponsor/MassacreServers_768x512
{
	qer_editorimage textures/blic_sponsor/MassacreServers_768x512.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/MassacreServers_768x512.tga
	}
}

textures/blic_sponsor/MaverickServers_1024x512
{
	qer_editorimage textures/blic_sponsor/MaverickServers_1024x512.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/MaverickServers_1024x512.tga
	}
}

textures/blic_sponsor/ReadyUpRadio_1024x512
{
	qer_editorimage textures/blic_sponsor/ReadyUpRadio_1024x512.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/ReadyUpRadio_1024x512.tga
	}
}

textures/blic_sponsor/Sapphire_1024x768
{
	qer_editorimage textures/blic_sponsor/Sapphire_1024x768.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/Sapphire_1024x768.tga
	}
}

textures/blic_sponsor/Steel_Storm_1024x512
{
	qer_editorimage textures/blic_sponsor/Steel_Storm_1024x512.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/Steel_Storm_1024x512.tga
	}
}

textures/blic_sponsor/Wacom_512x512
{
	qer_editorimage textures/blic_sponsor/Wacom_512x512.tga
	surfaceparm nomarks
	nopicmip
	{
		map textures/blic_sponsor/Wacom_512x512.tga
	}
}

textures/blic_random/smoke
{
	qer_editorimage textures/blic_random/smoke_editor.tga
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/blic_random/smoke.tga
		blendfunc blend
		tcMod scroll -0.1 1
		alphaGen Vertex
	}
	{
		map textures/blic_random/smoke.tga
		blendfunc blend
		tcMod scroll 0.1 0.9
		alphaGen Vertex
	}
}

